Skip to main content

Pay now

POST 

https://core-prod.malipopay.co.tz/api/v1/payment/now

Initiates a one-click pay-now payment using a pre-configured payload.

Request

Bodyrequired

    amountnumberrequired

    Amount to charge in the smallest currency unit.

    Example: 1500
    referencestringrequired

    Existing payment reference to charge against.

    Example: ML26059
    envstringrequired

    Target environment (PROD or TEST).

    Example: PROD

Responses

Payment initiated successfully

Schema
    successbooleanrequired
    Example: true
    codeintegerrequired

    MALIPOPAY-specific status code (see error codes reference)

    Example: 800
    messagestringrequired
    Example: Operation completed successfully
    data object

    Endpoint-specific payload

    property name*any

    Endpoint-specific payload

Authorization: apiToken

name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
curl -L 'https://core-prod.malipopay.co.tz/api/v1/payment/now' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>' \
-d '{
"amount": 1500,
"reference": "ML26059",
"env": "PROD"
}'
Request
Base URL
https://core-prod.malipopay.co.tz
Auth
Body required
{
  "amount": 1500,
  "reference": "ML26059",
  "env": "PROD"
}
Response

Click the Send API Request button above and see the response here!